Plesk Multi-Server error: Your Plesk license has expired or is incompatible with Plesk Multi Server

Created:

2017-01-18 10:07:04 UTC

Modified:

2017-08-10 15:10:09 UTC

0

Was this article helpful?


Have more questions?

Submit a request

Plesk Multi-Server error: Your Plesk license has expired or is incompatible with Plesk Multi Server

Note: This article has the reference to the issue with the fix available:

  • #PPPM-5568 "Clicking “Retrieve Keys” in the Plesk interface failed to retrieve the Plesk Multi Server license from KA."
    Fixed in:
Please consider updating your server:

Symptoms

Plesk multi-server error:

Your Plesk license has expired or is incompatible with Plesk Multi Server. Please update license or click here to purchase a new one.

Additional license for Multi-server has the update date in the past in Tools and Settings > License Management > Additional Licenses but in fact it was renewed and paid for the next month

The following error appears in /var/log/plesk/panel.log :

PHP Fatal error: Call to a member function setRedirect() on null in /usr/local/psa/admin/externals/Zend/Controller/Action/Helper/Redirector.php on line 226
ERR [1] ERROR: Call to a member function setRedirect() on null (Redirector.php:226)

Cause

This is an internal issue with ID #PPPM-5568 , which is planned to be fixed in future product updates.

Resolution

As a workaround for any Unix OS, apply a custom fix:

1. Download the custom fix attached

2. Unpack it

3. Create the backup of the following file:

# mv /usr/lib64/plesk-9.0/key-handler /usr/lib64/plesk-9.0/key-handler_backup

4. Place unpacked custom fix to /usr/lib64/plesk-9.0/ directory:

# mv key-handler /usr/lib64/plesk-9.0

Attachments:

Have more questions? Submit a request
Please sign in to leave a comment.